com.r3corda.contracts.cash / AssetIssuanceDefinition

# AssetIssuanceDefinition

`interface AssetIssuanceDefinition<T> : IssuanceDefinition`

Subset of cash-like contract state, containing the issuance definition. If these definitions match for two contracts states, those states can be aggregated.

### Properties

deposit | `abstract val deposit: PartyAndReference` Where the underlying asset backing this ledger entry can be found (propagated)
token | `abstract val token: T`

### Inheritors

IssuanceDefinition | `data class IssuanceDefinition<T> : AssetIssuanceDefinition<T>`